/* 
 * LAMP - Linux and Managed Power
 * simple CPU power-management using Linux cpuFreq
 *
 * Vivek Haldar
 * Aug 2003
 *
 * License: GPL
 */
#ifndef __LAMP_H__
#define __LAMP_H__

#define PROC_STAT_FILE "/proc/stat"
#define PROC_UPTIME_FILE  "/proc/uptime"

/* these are settings for my Centrino 1.3 Ghz */
#define CPU_LOW_SPEED (600000)
#define CPU_HIGH_SPEED (1300000)

/* CPU load threshold above which we go up to full speed */
#define CPU_LOAD_THRESHOLD (50.0)

/* Path to CPU Freq filesystem interface */
#define CPU_FREQ_PATH "/sys/devices/system/cpu/cpu0/cpufreq/"


/* lamp.c */
void init(void);
void setspeed(int newspeed);
void enable_userspace_governor();
int getspeed(void);
void handler(int sig);
void settimer(void);
int main(void);
void showload(void);
void decide_switch(void);
double calc_cpu_loading(void);

#endif /* __LAMP_H__ */
